Bug 1366919 - extend virtio-net to expose host MTU to guest
Summary: extend virtio-net to expose host MTU to guest
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Maxime Coquelin
QA Contact: xiywang
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1411862 1395265 1408701 1412234 1429163 1450162
TreeView+ depends on / blocked
 
Reported: 2016-08-14 23:54 UTC by Michael S. Tsirkin
Modified: 2017-08-02 03:27 UTC (History)
18 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1408701 1412234 (view as bug list)
Environment:
Last Closed: 2017-08-01 23:32:13 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Michael S. Tsirkin 2016-08-14 23:54:32 UTC
Description of problem:

It is useful to expose
host MTU to guest. In particular, guest can
then disable guest offloads and be sure that packets
will fit in MTU sized receive buffers,
and / or disable host offloads and still be sure
that packets can be transmitted.

Will need to clone to linux and dpdk down the road.

Comment 1 Maxime Coquelin 2016-12-05 13:52:19 UTC
QEMU RFC v3 sent on the ML:
https://mail-archive.com/qemu-devel@nongnu.org/msg416009.html
Message-Id: <20161130101017.13382-1-maxime.coquelin@redhat.com>

In this version, the MTU value is specified by the user (management
tool) in QEMU command line via the host_mtu virtio-net parameter.

Comment 2 Maxime Coquelin 2017-01-19 09:10:34 UTC
Upstream commits:
a93e599 virtio-net: Add MTU feature support
45a368a vhost-net: Notify the backend about the host MTU
c5f048d vhost-user: Add MTU protocol feature and op

Comment 4 xiywang 2017-06-07 01:13:31 UTC
Verified.
Test result can be find in:
https://bugzilla.redhat.com/show_bug.cgi?id=1452756#c15
Related bug is:
https://bugzilla.redhat.com/show_bug.cgi?id=1412234

Comment 6 errata-xmlrpc 2017-08-01 23:32:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 7 errata-xmlrpc 2017-08-02 01:09:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 8 errata-xmlrpc 2017-08-02 02:01:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 9 errata-xmlrpc 2017-08-02 02:42:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 10 errata-xmlrpc 2017-08-02 03:07:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 11 errata-xmlrpc 2017-08-02 03:27:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.